3D acceleration using Ubuntu and Beagleboard

Hi,

I am new here and i have installed Ubuntu on my Beagleboard C4 some days
ago. The whole system is amazingly powerful and easy to use.
I would like to develop a navigation software which needs 3D
acceleration. After some googling i found that it is possible using
Ubuntu, but all articleas i found are outdated and do not describe the
details.
I see that there are packages for qt, irrlicht, ogre, but none of them
work for me: qt does not contain opengl support, irrlicht module does
not have gles support, and ogre does not find any renderer. I compiled
the gles branch of the irrlicht, but it does not display anything. Maybe
sometning is missing or installed wrong way.
Can you help me how can i use any kind of 3D engine?

Regards
Gyorgy Kovesdi

I see that there are packages for qt, irrlicht, ogre, but none of them
work for me

I found a page: ARM/OMAP/Graphics - Ubuntu Wiki
So, i executed this:
$> apt-get install libegl1-sgx-omap3 libgles1-sgx-omap3
libgles2-sgx-omap3
(it removed some other egl and gles packages)
After this, running the demo of the suggested SDK Demo Package leads to
segmantation fault. I recompiled the Irrlicht (gles branch) and it also
had segmentation fault.
How can i get it work?

Thanx
Gyorgy Kovesdi

I ahve same problem and it looks like there is no solution offered for that.
Nobody provided any meaningful explanation why Qt is not compiled already for SGX.

2011/12/28 Kövesdi György <kgy@teledigit.eu>

I am using Irrlicht on the Beagleboard and running Angstrom.

See this thread to get Irrlicht working:
http://irrlicht.sourceforge.net/forum/viewtopic.php?t=42109

With OGRE, I seem to remember one has to comment out a few components
that are not available.

I am using Irrlicht on Angstrom. See this:
http://irrlicht.sourceforge.net/forum/viewtopic.php?t=42109

Willem

I am using Irrlicht on Angstrom. See this:
[SOLVED] Beagleboard irrlicht ogl-es installation - Irrlicht Engine

Which version of Angstrom do you have to use this?

Which version of Angstrom do you have to use this?

The stable branch from the Angstrom website. I use OGLES1 and compile
natively on the Beagleboard. Irrlicht on Ubuntu should work though.